Page MenuHomePhabricator

PHPUnit tests for SF_FormPrinter are not functional
Closed, ResolvedPublic

Description

The PHPUnit tests which can be run by executing "php tests/phpunit/phpunit.php extensions/SemanticForms/tests" from the MediaWiki root directory currently fails for the existing tests.

These tests test the SFFormPrinter for page sections when new forms and pages are created.

This bug is being proposed as a task for the Google Code-In program.


Version: unspecified
Severity: normal
Whiteboard: gci2013

Details

Reference
bz57199

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz57199.
Himeshi created this task.Nov 18 2013, 4:55 PM

wikimedia-bugzilla wrote:

I have claimed this task on GCI. I was already able to reproduce the problem and am now working on it.

Qgil added a comment.Nov 19 2013, 3:14 PM

Thank you Yussuf. Go for it!

Change 96475 had a related patch set uploaded by Pp3345:
Fixed PHPUnit test for SF_FormPrinter

https://gerrit.wikimedia.org/r/96475

Change 96475 merged by jenkins-bot:
Fixed PHPUnit test for SF_FormPrinter

https://gerrit.wikimedia.org/r/96475

Qgil added a comment.Nov 21 2013, 5:01 PM

As per the GCI resolution, this report seems to be fixed. Please reopen if this is not the case yet.